org.eclipse.modisco.java.discoverer

## Class ElementsToAnalyze

- java.lang.Object
- - org.eclipse.modisco.java.discoverer.ElementsToAnalyze

    public class ElementsToAnalyze
    extends java.lang.Object

Java discovery : bean for storing elements to analyze and their associated options.

Note: having a separate class allows to define graphical elements (e.g cell editor) for this specific type.

### Constructor Summary

Constructors
Constructor and Description
`ElementsToAnalyze(IJavaProject javaProject)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElementToDiscover(java.lang.Object element)` Adds an artifact to analyze.
`void` `cleanElementsToDiscover()` Clear the list of artifacts to analyze.
`java.util.Map<java.lang.String,java.lang.Object>` `getDiscoveryOptions(java.lang.Object element)`
`java.util.Set<java.lang.Object>` `getElementsToDiscover()`
`IJavaProject` `getJavaProject()`
`void` `removeElementToDiscover(java.lang.Object element)` Removes an artifact to analyze.
`void` `setJavaProject(IJavaProject javaProject)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ElementsToAnalyze

    public ElementsToAnalyze(IJavaProject javaProject)

### Method Detail

#### setJavaProject

    public void setJavaProject(IJavaProject javaProject)

#### getJavaProject

    public IJavaProject getJavaProject()

#### getElementsToDiscover

    public java.util.Set<java.lang.Object> getElementsToDiscover()

Returns:
  artifacts to be analyzed. The returned Set is unmodifiable.

#### getDiscoveryOptions

    public java.util.Map<java.lang.String,java.lang.Object> getDiscoveryOptions(java.lang.Object element)

Returns:
  options for analyzing the given artifact. The returned `Map` can be modified.

#### addElementToDiscover

    public void addElementToDiscover(java.lang.Object element)

Adds an artifact to analyze.

Parameters:
  `element` - a `IJavaProject` or a `IPackageFragment`

#### removeElementToDiscover

    public void removeElementToDiscover(java.lang.Object element)

Removes an artifact to analyze.

#### cleanElementsToDiscover

    public void cleanElementsToDiscover()

Clear the list of artifacts to analyze.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`